Groovy Documentation

## org.codehaus.groovy.runtime.memoize
[Java] Interface MemoizeCache

    public interface MemoizeCache

Represents a memoize cache with its essential methods

Parameters:
  `<K>` - type of the keys
  `<V>` - type of the values

Authors:
  Vaclav Pech

Method Summary
`void` | `cleanUpNullReferences()` Invoked when some of the held SoftReferences have been evicted by the garbage collector and so should be removed from the cache.
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`

Method Detail

### cleanUpNullReferences

    public void cleanUpNullReferences()

  Invoked when some of the held SoftReferences have been evicted by the garbage collector and so should be removed from the cache. The implementation must ensure that concurrent invocations of all methods on the cache may occur from other threads and thus should protect any shared resources.

### get

    public java.lang.Object get(java.lang.Object key)

### put

    public java.lang.Object put(java.lang.Object key, java.lang.Object value)

Groovy Documentation